Conigurar winmodem Ambient Technologies Inc HaM Modem

Imagen de gutharssen
0 puntos

Buenas:

Uso Ubuntu Gutsy Gibbon. Al intentar instalar una consola fax al estilo de la del Güindous xp (que por cierto es una herramienta estupenda, la consola fax, me refiero), me he encontrado con el problema de que, si bien Ubuntu reconoce el modem, no lo configura. Mi lspci es el siguiente:

00:00.0 Host bridge: Intel Corporation 82845 845 [Brookdale] Chipset Host Bridge (rev 11)
00:01.0 PCI bridge: Intel Corporation 82845 845 [Brookdale] Chipset AGP Bridge (rev 11)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 81)
00:1f.0 ISA bridge: Intel Corporation 82801DB/DBL (ICH4/ICH4-L) LPC Interface Bridge (rev 01)
00:1f.1 IDE interface: Intel Corporation 82801DB (ICH4) IDE Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller (rev 01)
01:00.0 VGA compatible controller: nVidia Corporation NV34 [GeForce FX 5500] (rev a1)
02:03.0 Multimedia audio controller: C-Media Electronics Inc CM8738 (rev 10)
02:0a.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)
02:0b.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8029(AS)
02:0c.0 Communication controller: Ambient Technologies Inc HaM controllerless modem (rev 02)

En realidad, el modem es de marca Trust, modelo CTR-21 56K PCI. En la página de Trust sólo hay drivers para Güindous (hasta el ME, creo), así que buscando por ahí he descubierto que se trata de un winmodem de intel.

Así, encontré este tutorial para Ubuntu Hoary y este tutorial para Archlinux,que no me han funcionado. He seguido los pasos explicados en ambos tutoriales, del derecho y del revés y nada. Ni siquiera reconoce mi modem el ScanModem que es un programita para identificar tu módem y, consiguientemente, el driver que necesita. Al ejecutarlo resulta esto:

UPDATE=2008_03_07
Continuing as this update is a only 1 weeks old,
but the current Update is always at: http://linmodems.technion.ac.il

scanModem: 1807: Syntax error: "(" unexpected (expecting "fi")

Al seguir el tutorial de Hoary, lo tuve que adaptar pues mi kernel es el 2.6.22.14-generic y me dio el fallo que se describe en ese foro:

pues a mi me manda un error como este
Current running kernel is: 2.6.10-5-386
/lib/modules... autoconf.h does not exist
please install kernel source
make: *** [check] Error 1

A lo que apliqué la solución allí descrita:

Ese error de autoconf.h te dá porque está buscando el archivo en un directorio equivocado. Lo que tienes que hacer es crear un enlace simbólico donde lo está buscando que apunte hacia donde en realidad está. Localizas dónde está con:
locate nombre_de_archivo
(nombre_de_archivo es el nombre o parete del nombre del archivo)
si te da un error debes crear la base de datos de locate con:
updatedb
Luego creas el enlace simbólico con:
ln -s /localizacion/del/archivo/nombre_del_archivo_origen /lugar/en/el/que/busca/el/archivo/nombre_del_archivo_destino
Finalmente digitas make clean y make 537

Lo que me dio como resultado el siguiete resultado:

Module precompile check
Current running kernel is: 2.6.22-14-generic
/lib/modules... autoconf.h exists
autoconf.h matches running kernel
version.h matches running kernel
/bin/sh: [[: not found
/bin/sh: [[: not found
/bin/sh: [[: not found
/bin/sh: [[: not found
/bin/sh: /lspci: not found
Modem type not determined.
$ export MODEM_TYPE=<type>
with type=537 or 537EP or 537SP or 537EA or 537AA

Luego, al hacer sudo make install consigo esto:

rm -f /usr/sbin/hamregistry.bin
bash 537_inst
running kernel 2.6.22-14-generic
installing hamregistry, used for persistant storage
installing usrsound, a soft buzzer
installing 537 module
install: no se puede efectuar `stat' sobre `Intel537.ko': No existe el fichero ó directorio
make: *** [install] Error 1

Espero haber incluido toda la información necesaria para lograr solucionar esto

Muchas gracias a todos por adelantado